---
- name: Vérification de la présence des paramètres d'entrées dans les variables
  ansible.builtin.fail:
    msg: |
      la variable {{ item }} est obligatoire pour
      utiliser le role set-logo.
      Veuillez la rajouter dans les host_vars
  when:
    - item is not defined
  loop:
    - zimbraSkinLoginBackgroundImage

- name: Get param - zxsuite auth loginPage getBackgroundImage global
  ansible.builtin.shell: |
    set -e -o pipefail
    /opt/zimbra/bin/zxsuite auth loginPage getBackgroundImage global
  register: logo_path
  changed_when: false
  args:
    executable: /bin/bash

- name: Set param - zxsuite auth loginPage setBackgroundImage
  ansible.builtin.command: "/opt/zimbra/bin/zxsuite auth loginPage setBackgroundImage global {{ zimbraSkinLoginBackgroundImage }}"
  when: logo_path.stdout != zimbraSkinLoginBackgroundImage
